unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
}

bin.path	= /usr/bin
bin.files	= ah2

reports.path	= /opt/ah2/reports
reports.files	= rpt*.pl

perl.path	= /usr/lib/perl5/site_perl
perl.files	= *.pm

icons.path	= /opt/ah2/icons
icons.files	= ah2.png ah2.xpm ah2-invoice.png

sql.path	= /opt/ah2/sql
sql.files	= ah2.psql

desktop.path	= /opt/kde3/share/applnk/Application
desktop.files	= ah2.desktop

rpm.target	= rpm
rpm.commands	= rpmbuild -ba ah2.spec

INSTALLS	+= reports perl icons sql desktop

QMAKE_EXTRA_UNIX_TARGETS +=  rpm install
TEMPLATE	= app
LANGUAGE	= C++

CONFIG	+= thread


HEADERS	+= CustForm.h \
	VehcForm.h \
	WorkOrderForm.h \
	WorkOrderTable.h \
	Data/DataForm.h \
	Data/DataTable.h \
	CustTable.h \
	CustVehcTable.h \
	VehcTable.h \
	WOPartsForm.h \
	WOPartsTable.h \
	WOLaborForm.h \
	WOLaborTable.h \
	AcctSelect.h \
	VendorSelect.h \
	VendorForm.h \
	VendorTable.h \
	PartsForm.h \
	PartsTable.h \
	Part2VendorTable.h
SOURCES	+= main.cpp \
	CustForm.cpp \
	VehcForm.cpp \
	WorkOrderForm.cpp \
	WorkOrderTable.cpp \
	Data/DataForm.cpp \
	Data/DataTable.cpp \
	CustTable.cpp \
	CustVehcTable.cpp \
	VehcTable.cpp \
	WOPartsForm.cpp \
	WOPartsTable.cpp \
	WOLaborForm.cpp \
	WOLaborTable.cpp \
	AcctSelect.cpp \
	VendorSelect.cpp \
	VendorForm.cpp \
	VendorTable.cpp \
	PartsForm.cpp \
	PartsTable.cpp \
	Part2VendorTable.cpp
FORMS	= InvoiceWindow.ui \
	loginform.ui \
	workorderselect.ui \
	customerentry.ui \
	custvehcselect.ui \
	vehcedit.ui \
	configuration.ui \
	customerselect.ui \
	wopartsentry.ui \
	laborentry.ui \
	custvehcedit.ui \
	previewworkorder.ui \
	movetransactions.ui \
	reportgen.ui \
	datadump.ui \
	datarestore.ui \
	vendorentry.ui \
	partsedit.ui \
	p2vedit.ui \
	bizinfo.ui
IMAGES	= images/filenew \
	images/fileopen \
	images/filesave \
	images/print \
	images/undo \
	images/redo \
	images/editcut \
	images/editcopy \
	images/editpaste \
	images/searchfind
DBFILE	= ah2.db

