/*********************************************************************************
**
**   $Id: workorderselect.ui.h,v 1.8 2004/07/10 14:06:51 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include "previewworkorder.h"

void WorkOrderSelect::refresh()
{
   workOrderForm->setHidden(true);
   WorkOrders->refresh();
}

void WorkOrderSelect::sortBy(int r)
{
   WorkOrders->sortBy(r);
}

void WorkOrderSelect::sortBy(const QString s)
{
   WorkOrders->sortBy(s);
}

void WorkOrderSelect::setFields(DataFields *f)
{
   WorkOrders->setFields(f);
}


void WorkOrderSelect::workorderSelected()
{
   emit(currentChanged(WorkOrders->currentRecord()));
   accept();
}


void WorkOrderSelect::workorderRejected()
{
   reject();
}


void WorkOrderSelect::deleteWorkorder()
{

}


void WorkOrderSelect::updateWorkorder()
{

}


void WorkOrderSelect::showClosedToggled()
{
   WorkOrders->showClosed(showClosedBtn->isChecked());
}


void WorkOrderSelect::filterByName()
{
   QString s, s1;
   s1 = FilterEdit->text().lower();
   s1.replace('\'', "''");
   s = "lower(name) like '%" + s1 + "%'";
   WorkOrders->setFilter(s);
   WorkOrders->refresh();
}


void WorkOrderSelect::filterByTag()
{
   QString s, s1;
   s1 = FilterEdit->text().lower();
   s1.replace('\'', "''");
   s = "lower(tag) like '%" + s1 + "%'";
   WorkOrders->setFilter(s);
   WorkOrders->refresh();
}


void WorkOrderSelect::filterByVIN()
{
   QString s, s1;
   s1 = FilterEdit->text().lower();
   s1.replace('\'', "''");
   s = "lower(vin) like '%" + s1 + "%'";
   WorkOrders->setFilter(s);
   WorkOrders->refresh();
}


void WorkOrderSelect::clearFilter()
{
   QString s, s1;
   s1 = FilterEdit->text();
   s1.replace('\'', "''");
   s = "";
   WorkOrders->setFilter(s);
   WorkOrders->sortBy("date_in DESC");
   WorkOrders->sortBy("name ASC");
   WorkOrders->refresh();
}

void WorkOrderSelect::printWorkOrder()
{
   PreviewWorkOrder *pvw = new PreviewWorkOrder(this);
   pvw->setWorkorder(WorkOrders->currentRecord()->value("ident").toString());
   pvw->exec();
}
